<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
</head>

<body align="center">
    <div id="console">Console Text</div>
    <script>
        var $console = $("#console");
        
        // String
        var s1 = "This is JavaScript String"
        var s2 = 'This is JavaScript String'
        var s3 = 'This is "really" a JavaScript String'
        var s4 = "This is 'really' a JavaScript String"
        
        // Number : Integer / Float / Double
        var n1 = 5350
        var n2 = 120.27
        var n3 = 0.26
        
        // Boolean
        var b1 = true
        var b2 = false
        var b3 = 1 // true
        var b4 = 0 // false
        var b5 = "hello" // true
        var b6 = "" // false
        
        // Array
        var arrNum = [1,2,3,4,5];
        var arrStr = ["A" , "B" , "C"];
        
        // Object
        var appInfo = {
            id : 1 , 
            name : "jQuerySE" ,
            author : "Enoxs" ,
            version : "1.0.1" ,
            remark : "jQuery - Sample Example"
        }
        
        appInfo.version = "1.0.2"
        
        
        // Preview
        $console.text("");
        $console.append(s1);
        $console.append("<br>");
        $console.append(s2);
        $console.append("<br>");
        $console.append(s3);
        $console.append("<br>");
        $console.append(s4);
        
        $console.append("<hr>");
        
        $console.append(n1);
        $console.append("<br>");
        $console.append(n2);
        $console.append("<br>");
        $console.append(n3);
        $console.append("<br>");
        
        $console.append("<hr>");
        
        if (b1) {
            $console.append("b1 : true")
        }else{
            $console.append("b1 : false")
        }
        $console.append("<br>")
        
        if (b2) {
            $console.append("b2 : true")
        }else{
            $console.append("b2 : false")
        }
        $console.append("<br>")
        
        if (b3) {
            $console.append("b3 : true")
        }else{
            $console.append("b3 : false")
        }
        $console.append("<br>")
        
        if (b4) {
            $console.append("b4 : true")
        }else{
            $console.append("b4 : false")
        }
        $console.append("<br>")
        
        if (b5) {
            $console.append("b5 : true")
        }else{
            $console.append("b5 : false")
        }
        $console.append("<br>")
        
        if (b6) {
            $console.append("b6 : true")
        }else{
            $console.append("b6 : false")
        }
        
        $console.append("<hr>");
        
        for(var i=0;i<arrNum.length;i++){
            $console.append(arrNum[i])
        }
        $console.append("<br>")
        for(var i=0;i<arrNum.length;i++){
            $console.append(arrStr[i])
        }
        
        $console.append("<hr>");
        
        $console.append("<h3>appInfo.param</h3>");
        $console.append("appInfo.id : " + appInfo.id + "<br>");
        $console.append("appInfo.name : " + appInfo.name + "<br>");
        $console.append("appInfo.version : " + appInfo.version + "<br>");
        
        $console.append("<br>")
        
        $console.append("<h3>for : key , value</h3>");
        for(var key in appInfo){
            $console.append("key : " + key + " , value : " + appInfo[key] + "<br>")
        }
        

    </script>
</body>

</html>
